Subject: Re: Pine reports SMTP failure for NNTP failure

From: Mark Crispin <[email-masked]>
Date: Wed, 7 Aug 1996 19:33:25 -0700

This is because the same routines are used for both SMTP and NNTP in that
version of Pine, and at the level that it issues that error message it
doesn't know whether it is SMTP or NNTP.

This will change in Pine 4.0. 

On Wed, 7 Aug 1996, Jeffrey Goldberg wrote:

> Yesterday, when my nntp connection crashed at the server end, pine
> reported a warning of something like:
> 
>     421 SMTP connection connection went away!
> 
> At the time, I did not have an SMTP connection open.
> 
> Here are a few lines from .pine-debug
> 
>     ---- FOLDER SCREEN ----
> About to open folder "sci.lang"    inbox: "INBOX"
> Close - saved inbox state: max 70
> IMAP 12:20:38 8/6 mm_log ERROR: 421 SMTP connection went away!
> About to open folder "sci.lang"    inbox: "INBOX"
> Close - saved inbox state: max 70
> IMAP 12:21:31 8/6 mm_log ERROR: 421 SMTP connection went away!
> 
> 
> I do know that our news server had keeled over before then (there
> is in the newsserver logs after 11:50 that day)
> 
> -j
> --
> Jeffrey Goldberg                +44 (0)1234 750 111 x 2826
>  Cranfield Computer Centre      FAX         751 814
>  [email-masked]     http://WWW.Cranfield.ac.uk/public/cc/cc047/
> "I am much fonder of my critics than I am of my fans."  --Thomas Kuhn (d 1996)
> 
> 
> 

-- Mark --	Read http://www.imap.org for the "best kept secret in email"

DoD #0105, R90/6 pilot, FAX: (206) 685-4045  ICBM: N 47 39'35" W 122 18'39"
Science does not emerge from voting, party politics, or public debate.